import 'dart:typed_data';

import 'package:dart_framework/platform/platform_base.dart';
import 'package:dart_framework/utils/system_util.dart';

// Interfaces
LogWriter getLogWriter() => LogWriterWeb();

void initialize(String name, String appID) {
  appIdendifier = appID;
  appName = name;
  intMax = 9007199254740991;
  intMin = -intMax;
}

Future<String> getIPAddress(String domain) => dataFutrue('');

Future<Uint8List?> readFileByte(String filePath) => dataFutrue(null);


class LogWriterWeb implements LogWriter {
  @override
  void start(String path, Map<String, void Function(Object?)> messageListenerMap) {

  }

  @override
  void write(String log) {

  }

  @override
  void end() {
    
  }
}